Update Fraud Rule
Update a fraud rule.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
rule_id
account_id
Request
This endpoint expects an object.
name
Rule name
logic
Condition logic: AND or OR
enabled
Whether the rule is active
action
Rule action: block or allow
transaction_scope
Which transactions the rule applies to: ‘cit’, ‘mit’, or ‘all’.
reason
Reason shown to the customer for block rules. Ignored for allow rules.
conditions
List of conditions
Response
Successful Response
id
Unique rule identifier
name
Rule name
logic
Condition logic: AND or OR
enabled
Whether the rule is active
action
Rule action: block or allow
transaction_scope
Which transactions the rule applies to: ‘cit’, ‘mit’, or ‘all’.
reason
Block reason
conditions
List of conditions
created_at
When the rule was created
updated_at
When the rule was last updated
Errors
422
Unprocessable Entity Error